﻿using FoodOrdersDataModels.Enums;

namespace HardwareShopDataModels.Models
{
    public interface IPurchaseModel : IId
    {
        decimal Sum { get; }

        PurchaseStatus Status { get; }

        //через "?" обозначается что поле может быть null
        DateTime? DatePurchase { get; }

        int UserID { get; }

        Dictionary<int, (IBuildModel, int)>? PurchaseBuilds { get; }

        Dictionary<int, (IGoodModel, int)> PurchaseGoods { get; }
    }
}
